"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = require("react");

var _subscribe = _interopRequireDefault(require("./subscribe"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const useMessageHandler = ({
  socket,
  onMessage
}) => {
  const messageHandler = (0, _react.useCallback)(evt => {
    if (evt && evt.data && onMessage) {
      onMessage(JSON.parse(evt.data));
    }
  }, [onMessage]);
  (0, _subscribe.default)(socket, "message", messageHandler);
};

var _default = useMessageHandler;
exports.default = _default;