"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = require("react");

const useSocketSubscription = (socket, event, handler) => (0, _react.useEffect)(() => {
  if (socket) {
    socket.addEventListener(event, handler);
  }

  return () => {
    if (socket) {
      socket.removeEventListener(event, handler);
    }
  };
}, [event, handler, socket]);

var _default = useSocketSubscription;
exports.default = _default;